// PageTab1.cpp : implementation file
//
#include "stdafx.h"
#include "resource.h"
#include "PageTab1.h"
#include "CNETConfig.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPageTab1 property page

IMPLEMENT_DYNCREATE(CPageTab1, CPropertyPage)

CPageTab1::CPageTab1() : CPropertyPage(CPageTab1::IDD, IDS_TAB1)
{
	//{{AFX_DATA_INIT(CPageTab1)
	m_bCommunications = FALSE;
	m_bEnterprise = FALSE;
	m_bMedia = FALSE;
	m_bPersonalTechnology = FALSE;
	m_bEBusiness = FALSE;
	//}}AFX_DATA_INIT
}

CPageTab1::~CPageTab1()
{
}

void CPageTab1::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPageTab1)
	DDX_Control(pDX, IDS_TITLE, m_sTitle);
	DDX_Check(pDX, IDC_COMMUNICATIONS, m_bCommunications);
	DDX_Check(pDX, IDC_ENTERPRISE, m_bEnterprise);
	DDX_Check(pDX, IDC_MEDIA, m_bMedia);
	DDX_Check(pDX, IDC_PERSONAL, m_bPersonalTechnology);
	DDX_Check(pDX, IDC_EBUSINESS, m_bEBusiness);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPageTab1, CPropertyPage)
	//{{AFX_MSG_MAP(CPageTab1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPageTab1 message handlers

// Handle WM_CTLCOLORSTATIC and override static control's font & color
LRESULT CPageTab1::WindowProc(UINT message, WPARAM wParam, LPARAM lParam) 
{
	if(message == WM_CTLCOLORSTATIC)	
	{	
		if(::GetDlgItem(m_hWnd, IDS_TITLE) == (HWND)lParam)
			return SetTitleColor((HDC)wParam, (HWND)lParam);
	}

	return CPropertyPage::WindowProc(message, wParam, lParam);
}

BOOL CPageTab1::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();

	// Read values from registry
	CWinApp *pWinApp = AfxGetApp();
	m_bCommunications = pWinApp->GetProfileInt(TEXT("news.com"), TEXT("Communications"), 0);
	m_bEnterprise = pWinApp->GetProfileInt(TEXT("news.com"), TEXT("Enterprise"), 0);
	m_bMedia = pWinApp->GetProfileInt(TEXT("news.com"), TEXT("Media"), 0);
	m_bPersonalTechnology = pWinApp->GetProfileInt(TEXT("news.com"), TEXT("Personal Technology"), 0);
	m_bEBusiness = pWinApp->GetProfileInt(TEXT("news.com"), TEXT("EBusiness"), 0);

	// Update MFC variables
	UpdateData(FALSE);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

BOOL CPageTab1::OnKillActive() 
{
	// Save and validate
	UpdateData(TRUE);

	// Write values to registry
	CWinApp *pWinApp = AfxGetApp();
	pWinApp->WriteProfileInt(TEXT("news.com"), TEXT("Communications"), m_bCommunications);
	pWinApp->WriteProfileInt(TEXT("news.com"), TEXT("Enterprise"), m_bEnterprise);
	pWinApp->WriteProfileInt(TEXT("news.com"), TEXT("Media"), m_bMedia);
	pWinApp->WriteProfileInt(TEXT("news.com"), TEXT("Personal Technology"), m_bPersonalTechnology);
	pWinApp->WriteProfileInt(TEXT("news.com"), TEXT("EBusiness"), m_bEBusiness);
	
	return CPropertyPage::OnKillActive();
}
