// PageTab3.cpp : implementation file
//
#include "stdafx.h"
#include "resource.h"
#include "PageTab3.h"
#include "CNETConfig.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPageTab3 property page

IMPLEMENT_DYNCREATE(CPageTab3, CPropertyPage)

CPageTab3::CPageTab3() : CPropertyPage(CPageTab3::IDD, IDS_TAB3)
{
	//{{AFX_DATA_INIT(CPageTab3)
	m_sConnectivity = _T("");
	m_sEMail = _T("");
	m_sPassword = _T("");
	//}}AFX_DATA_INIT
}

CPageTab3::~CPageTab3()
{
}

void CPageTab3::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPageTab3)
	DDX_Control(pDX, IDS_TITLE, m_sTitle);
	DDX_CBString(pDX, IDCB_CONNECTIVITY, m_sConnectivity);
	DDX_Text(pDX, IDE_EMAIL, m_sEMail);
	DDX_Text(pDX, IDE_PASSWORD, m_sPassword);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPageTab3, CPropertyPage)
	//{{AFX_MSG_MAP(CPageTab3)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPageTab3 message handlers

// Handle WM_CTLCOLORSTATIC and override static control's font & color
LRESULT CPageTab3::WindowProc(UINT message, WPARAM wParam, LPARAM lParam) 
{
	if(message == WM_CTLCOLORSTATIC)	
	{	
		if(::GetDlgItem(m_hWnd, IDS_TITLE) == (HWND)lParam)
			return SetTitleColor((HDC)wParam, (HWND)lParam);
	}
	
	return CPropertyPage::WindowProc(message, wParam, lParam);
}

BOOL CPageTab3::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();
	
	// Read values from registry
	CWinApp *pWinApp = AfxGetApp();
	m_sConnectivity = pWinApp->GetProfileString(TEXT("sign in"), TEXT("Connectivity"), TEXT("activesync"));
	m_sEMail = pWinApp->GetProfileString(TEXT("sign in"), TEXT("e-mail"), TEXT("anyone@cnet.com"));
	m_sPassword = pWinApp->GetProfileString(TEXT("sign in"), TEXT("Password"), TEXT("password"));

	// Update MFC variables
	UpdateData(FALSE);
		
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

BOOL CPageTab3::OnKillActive() 
{
	// Save and validate
	UpdateData(TRUE);

	// Write values to registry
	CWinApp *pWinApp = AfxGetApp();
	pWinApp->WriteProfileString(TEXT("sign in"), TEXT("Connectivity"), m_sConnectivity);
	pWinApp->WriteProfileString(TEXT("sign in"), TEXT("e-mail"), m_sEMail);
	pWinApp->WriteProfileString(TEXT("sign in"), TEXT("Password"), m_sPassword);
	
	return CPropertyPage::OnKillActive();
}
